Bug 2045199 - SnapShot with Disk Hot-plug hangs
Summary: SnapShot with Disk Hot-plug hangs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.10.0
Assignee: Yaacov Zamir
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks: 2046016
TreeView+ depends on / blocked
 
Reported: 2022-01-25 16:06 UTC by Kobig
Modified: 2022-03-10 16:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2046016 (view as bug list)
Environment:
Last Closed: 2022-03-10 16:42:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-10 16:42:39 UTC

Description Kobig 2022-01-25 16:06:57 UTC
Description of problem:
When running snapshot on VM with Disk hot-plug the process hangs. 

There is no notification or information that notifies that this option is not possible


Steps to Reproduce:
1. Create a VM 
2. Attach a disk 
3. Create snapshot 

Actual results:
The snapshot process lets the user continue so the process starts but hangs(customer said it was like this 3 days). 


Expected results:
User will get notification that the process is not possible until the will disconnect the Disk hot-plug

Additional info:
There is already a fix for this aimed for 4.10 has a feature enhancement.

We should fix a way to fix this in older versions which is more widely used.

Comment 2 Yaacov Zamir 2022-01-25 16:44:52 UTC
setting target to 4.9.z
this is not an issue in 4.10 and above

Comment 4 Yaacov Zamir 2022-01-26 07:55:53 UTC
Setting this one for 4.10 and cloned https://bugzilla.redhat.com/show_bug.cgi?id=2046016 for 4.19

fix for 4.10 was merged in backend:
https://github.com/kubevirt/kubevirt/pull/7127

Comment 6 Guohua Ouyang 2022-01-27 09:28:31 UTC
move the bug to verified as it's not reproduced on 4.10

Comment 9 errata-xmlrpc 2022-03-10 16:42:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.